;*********************************
; mIRC & Samurize Co-Operation 0.2
;
; Made by Scelt (@ Quakenet & IRCnet)
;
; /msco opens the control panel
; Variables for presets: !nick = nick, !chan = channel, !text = msg/notice/topic
;
; DON'T MODIFY SCRIPT IF YOU DON'T KNOW WHAT YOU ARE DOING!
;*********************************

alias msco dialog -ma msco msco

dialog -l msco {
  title "MSCO Control Panel  Scelt"
  size -1 -1 173 156
  option dbu
  text "Event", 70, 2 2 20 7
  text "Preset", 71, 47 2 37 7
  text "Text", 40, 2 13 20 8
  text "Msg", 41, 2 23 20 8
  text "Notice", 42, 2 33 20 8
  text "Join", 43, 2 43 20 8
  text "Op", 44, 2 53 20 8
  text "Deop", 45, 2 63 20 8
  text "Voice", 46, 2 73 20 8
  text "Devoice", 47, 2 83 20 8
  text "Ban", 48, 2 93 20 8
  text "Unban", 49, 2 103 20 8
  text "Kick", 50, 2 113 20 8
  text "Topic", 51, 2 123 20 8
  text "Highlight", 52, 2 133 20 8
  edit "", 1, 47 11 122 10, autohs
  edit "", 2, 47 21 122 10, autohs
  edit "", 3, 47 31 122 10, autohs
  edit "", 4, 47 41 122 10, autohs
  edit "", 5, 47 51 122 10, autohs
  edit "", 6, 47 61 122 10, autohs
  edit "", 7, 47 71 122 10, autohs
  edit "", 8, 47 81 122 10, autohs
  edit "", 9, 47 91 122 10, autohs
  edit "", 10, 47 101 122 10, autohs
  edit "", 11, 47 111 122 10, autohs
  edit "", 12, 47 121 122 10, autohs
  edit "", 13, 47 131 122 10, autohs
  edit "", 14, 25 11 15 10, limit 2
  edit "", 15, 25 21 15 10, limit 2
  edit "", 16, 25 31 15 10, limit 2
  edit "", 17, 25 41 15 10, limit 2
  edit "", 18, 25 51 15 10, limit 2
  edit "", 19, 25 61 15 10, limit 2
  edit "", 20, 25 71 15 10, limit 2
  edit "", 21, 25 81 15 10, limit 2
  edit "", 22, 25 91 15 10, limit 2
  edit "", 23, 25 101 15 10, limit 2
  edit "", 24, 25 111 15 10, limit 2
  edit "", 25, 25 121 15 10, limit 2
  edit "", 26, 25 131 15 10, limit 2
  button "OK", 27, 20 144 30 10, ok
  button "Apply", 28, 70 144 30 10
  button "Cancel", 61, 120 144 30 10, cancel
  text "Line", 34, 25 2 16 7
  menu "Presets", 33
  item "Reset defaults", 29, 33
  menu "Serious Samurize", 69
  item "SS folder...", 30, 69
  item "Run SS", 31, 69
  item "Run Config", 32, 69
}

on *:dialog:msco:menu:*: {
  if ($did == 29) && ($?!="Are you sure you want to reset default presets?") { var %i 1 | while (%i <= 26) { rdp %i | inc %i | if (%i == 26) set %rdp yep } }
  if ($did == 30) writeini -n msco.ini ss dir $$sdir(C:\,Choose your Serious Samurize folder)
  if ($did == 31) run $+($ssdir,Client.exe)
  if ($did == 32) run $+($ssdir,Config.exe)
}

on *:dialog:msco:sclick:*: { if ($did isnum 27-28) { var %i 1 | while (%i <= 26) { if (%msco.field. [ $+ [ %i ] ]) { wps $iif(%i <= 13,presets %i,lines $calc(%i -13))) %msco.field. [ $+ [ %i ] ] } | inc %i } } }
on *:dialog:msco:init:*: { var %i 1 | while (%i <= 26) { var %x $iif(%i <= 13,$psc(%i),$cln($calc(%i -13)))) | if (%x) did -a $dname %i %x | inc %i } }
on *:dialog:msco:edit:*: set %msco.field. $+ $did $did($did)
on *:dialog:msco:close:*: unset %msco.field.*

on *:start: {
  var %i 1
  while (%i <= 26) { if ((%i isnum 1-13) && (!$psc(%i))) || ((%i isnum 14-26) && (!$cln($calc(%i -13)))) rdp %i | inc %i }
  if (!$isdir($readini(msco.ini,ss,dir))) writeini -n msco.ini ss dir $$sdir(C:\,Choose your Serious Samurize folder)
}

on *:text:$(* $+ $me $+ *):#: wtl 1 $1-
on *:text:*:?: wtl 2 $1-
on *:notice:*:?: wtl 3 $1-
on *:join:#: wtl 4 $1-
on *:op:#: if ($opnick == $me) wtl 5 $1-
on *:deop:#: if ($opnick == $me) wtl 6 $1-
on *:voice:#: if ($vnick == $me) wtl 7 $1-
on *:devoice:#: if ($vnick == $me) wtl 8 $1-
on *:ban:#: if ($banmask iswm $host) wtl 9 $1-
on *:unban:#: if ($banmask iswm $host) wtl 10 $1-
on *:kick:#: if ($knick == $me) wtl 11 $1-
on *:topic:#: wtl 12 $1-
on *:text:*:#: if ($highlight($1-)) wtl 13 $1-

alias -l wtl write -l $+ $cln($1) $+(",$ssdir,msco.log,") $preset($1,$2-)
alias -l ssdir return $readini(msco.ini,ss,dir)
alias -l preset return $replace($psc($1),!nick,$nick,!chan,#,!text,$2-)
alias -l wps writeini -n msco.ini $1 $$2-
alias -l psc return $readini(msco.ini,presets,$1-)
alias -l cln return $readini(msco.ini,lines,$1-)
alias -l rdp {
  if ($1 == 1) wps presets 1 <!nick> !text
  if ($1 == 2) wps presets 2 !nick messaged "!text"
  if ($1 == 3) wps presets 3 !nick noticed "!text"
  if ($1 == 4) wps presets 4 !nick joined !chan
  if ($1 == 5) wps presets 5 !nick opped you @ !chan
  if ($1 == 6) wps presets 6 !nick deopped you @ !chan
  if ($1 == 7) wps presets 7 !nick voiced you @ !chan
  if ($1 == 8) wps presets 8 !nick devoiced you @ !chan
  if ($1 == 9) wps presets 9 !nick banned you @ !chan
  if ($1 == 10) wps presets 10 !nick unbanned you @ !chan
  if ($1 == 11) wps presets 11 !nick kicked you from !chan
  if ($1 == 12) wps presets 12 !nick changed topic to "!text" @ !chan
  if ($1 == 13) wps presets 13 (HL) <!nick> !text
  if ($1 isnum 14-26) wps lines $calc($1 -13) $calc($1 -13)
  if ($1 == 26) && (%rdp) { unset %rdp | dialog -x msco msco | dialog -ma msco msco }
}
